Page MenuHomePhabricator

VE spends time doing computed CSS to measure toolbars on init
Closed, ResolvedPublic8 Story Points

Description

DOM properties clientWidth/offsetWidth would probably be quicker

Details

Related Gerrit Patches:

Event Timeline

Esanders created this task.Jan 23 2018, 7:57 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 23 2018, 7:57 PM

Change 405931 had a related patch set uploaded (by Esanders; owner: Esanders):
[oojs/ui@master] Toolbars: Replace $.width with clientWidth/offsetWidth

https://gerrit.wikimedia.org/r/405931

Change 405934 had a related patch set uploaded (by Esanders; owner: Esanders):
[VisualEditor/VisualEditor@master] Toolbars: Replace $.width with clientWidth/offsetWidth

https://gerrit.wikimedia.org/r/405934

Change 405940 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/VisualEditor@master] Toolbars: Replace $.height with clientHeight/offsetHeight

https://gerrit.wikimedia.org/r/405940

Change 405934 merged by jenkins-bot:
[VisualEditor/VisualEditor@master] Toolbars: Replace $.width with clientWidth/offsetWidth

https://gerrit.wikimedia.org/r/405934

Change 405940 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Toolbars: Replace $.height with clientHeight/offsetHeight

https://gerrit.wikimedia.org/r/405940

Change 405931 merged by jenkins-bot:
[oojs/ui@master] Toolbars: Replace $.width with clientWidth/offsetWidth

https://gerrit.wikimedia.org/r/405931

Change 405751 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (c5fddd508)

https://gerrit.wikimedia.org/r/405751

Change 405751 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (c5fddd508)

https://gerrit.wikimedia.org/r/405751

Jdforrester-WMF closed this task as Resolved.Jan 29 2018, 5:15 PM
Jdforrester-WMF assigned this task to Esanders.
Jdforrester-WMF triaged this task as Medium priority.
Jdforrester-WMF set the point value for this task to 8.
Jdforrester-WMF removed a project: Patch-For-Review.
Jdforrester-WMF moved this task from To Triage to TR0: Interrupt on the VisualEditor board.
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptJan 29 2018, 5:15 PM
Jdforrester-WMF moved this task from Backlog to OOUI-0.25.2 on the OOUI board.Mar 1 2018, 7:54 PM
Jdforrester-WMF edited projects, added OOUI (OOUI-0.25.2); removed OOUI.